SKKSEARCH(8)

NAME
skksearch - yet another SKK Dictionary server

SYNOPSIS
skksearch [-l digit] [-f logfile] [-s][-c config] type:file ...

DESCRIPTION
This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

skksearch is a dictionary server for the SKK Japanese input method system. skksearch is normally invoked by the Internet server (see inetd(8)) for requests to connect to the skkserv port as indicated by the /etc/services file (see services(5)).

OPTIONS
skksearch program accepts the following options:

-l digit
    specify loglevel -1 to 7.

-f logfile
    output debug message to logfile.

-s  Use syslog.

-c config
    indicates config file which contains the specifications of dictionaries.

type:file
    skksearch program supports the following dictionary types.

    db  Berkeley DB

    cdb constant database (see tinycdb).

    plain
        plain text like SKK-JISYO.L

    dummy
        dummy dictionary for debugging.

skksearch can take multiple dictionaries.

EXAMPLES
Insert the following line in inetd.conf, and restart inetd.
    skkserv stream tcp nowait nobody /usr/sbin/tcpd /usr/sbin/skksearch -c /etc/skksearch.conf

AUTHOR
This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian GNU/Linux system (but may be used by others).